html, body {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  overflow: hidden;
  background-color: #AAAAAA;
}

header {
  width: 100%;
  position: absolute;
  top: 0;
  z-index: 227;

  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: flex;
  -webkit-justify-content: space-between;
  -moz-justify-content: space-between;
  -ms-justify-content: space-between;
  justify-content: space-between;
  -webkit-align-items: center;
  -moz-align-items: center;
  -ms-align-items: center;
  align-items: center;
  background-color: #EEEEEE;
}

header * {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 16pt;
}

header h1 {
  margin: 0.1cm;
}

header nav {
  margin: 0.1cm;
  background-color: #FFFFFF;
}

header nav ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  font-size: 0;
  text-align: center;
}

header nav ul li {
  display: inline-block;
}

header nav ul li a {
  display: block;
  text-align: center;
  text-decoration: none;
  padding: 0.3cm;
  padding-top: 0.1cm;
  padding-bottom: 0.1cm;
  color: #333333;
}

header nav ul li a:hover {
  color: #555555;
  background-color: #CCCCCC;
}

main {
  width: 100%;
  height: 100%;
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: flex;
  -webkit-justify-content: center;
  -moz-justify-content: center;
  -ms-justify-content: center;
  justify-content: center;
  -webkit-align-items: center;
  -moz-align-items: center;
  -ms-align-items: center;
  align-items: center;
  overflow: hidden;
}

footer {
  text-align: right;
  position: absolute;
  bottom: 0;
  right: 0;
}
